// pages/agreement/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nvabarData: {
      showCapsule: 0, //是否显示左上角图标，消息中心   1表示显示    0表示不显示
      showBack: 1, //返回
      title: '企业授权协议', //导航栏 中间的标题
      // 此页面 页面内容距最顶部的距离
      height: app.globalData.height * 2 + 20,
    },
    agreement: {
      pic: '/pages/images/xieyi.png',
      title: '企业授权协议标题',
      content: '本协议适用于使用吉林省小微企业线上融资受理系统——吉企银通相关服务。在注册使用平台服务前，请您务必审慎阅读本协议，特别是其中与用户信息保护和共享、风险与免责、争议解决相关的条款，以及以粗体标识的部分。在确认已完全充分理解并同意使用相关产品或服务后，您可以勾选“我已阅读并同意《吉企银通用户服务及授权协议》”并点击“注册”的方式接受本协议内容并完成注册程序，成为本平台用户，同时代表自愿接受本协议的约束。在使用平台提供的各项功能或享受服务前，应当完成认证。若您不同意本协议，应立即停止注册或停止使用平台服务和产品。平台的所有权、运营权、解释权及本协议条款的解释、修改归平台所有。'
    },
    radioCheck: true
  },
  // 不同意
  noAgree: function () {
    wx.redirectTo({
      url: '/pages/register/index'
    })
  },
  agree: function () {
    console.log(this.data.radioCheck);
    wx.se
    wx.redirectTo({
      url: '/pages/register/index?radioCheck=' + this.data.radioCheck // 希望跳转过去的页面
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})